import { Carousel } from "antd";
import React from "react";
import { useTranslation } from "react-i18next";
import { GenerateThumbUrl } from "../jobs-documents-gallery/job-documents.utility";
import CardTemplate from "./job-detail-cards.template.component";

export default function JobDetailCardsDocumentsComponent({ loading, data }) {
  const { t } = useTranslation();

  if (!data)
    return (
      <CardTemplate loading={loading} title={t("jobs.labels.cards.documents")}>
        null
      </CardTemplate>
    );

  return (
    <CardTemplate
      loading={loading}
      title={t("jobs.labels.cards.documents")}
      extraLink={`/manage/jobs/${data.id}?tab=documents`}
    >
      {data.documents.length > 0 ? (
        <Carousel autoplay>
          {data.documents.map((item) => (
            <img key={item.id} src={GenerateThumbUrl(item)} alt={item.name} />
          ))}
        </Carousel>
      ) : (
        <div>{t("documents.errors.nodocuments")}</div>
      )}
    </CardTemplate>
  );
}
